<?php

namespace Modules\StorageDriver\Providers;

use Illuminate\Support\ServiceProvider;
use Modules\MenuBuilder\Http\Models\MenuItems;

class StorageDriverProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        add_action('before_storagedriver_addon_deactivation', function() {
            MenuItems::where(['link' => 'storagedriver'])->delete();
        });
    }
}
